Withdraw a submission
curl --request POST \
--url https://api.nextlevelmca.com/v1/submissions/{id}/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.nextlevelmca.com/v1/submissions/{id}/withdraw"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.nextlevelmca.com/v1/submissions/{id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"status": "pending",
"response_type": "<string>",
"response_notes": "<string>",
"decline_reason": "<string>",
"decline_category": "<string>",
"requested_items": [
"<string>"
],
"match_score": 123,
"match_eligible": true,
"submitted_by_id": "<string>",
"submitted_at": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Submissions
Withdraw a submission
Marks the submission as withdrawn (status: "withdrawn", stored as expired with response_type: "withdrawn") and recalculates the deal status. No email is sent to the lender. Approved or funded submissions cannot be withdrawn (409 cannot_withdraw). Idempotent.
POST
/
v1
/
submissions
/
{id}
/
withdraw
Withdraw a submission
Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Submission id
Body
application/json
Why the submission is being withdrawn. Stored in the response notes.
Maximum string length:
1000Was this page helpful?